List deployment workflow runs
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"release": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"completedAt": "<string>",
"cancelledById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancelledBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"cancelledComment": "<string>",
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentWorkflowRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>"
},
"reviewedAt": "<string>",
"reviewedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"reviewedComment": "<string>",
"previousRelease": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "<string>"
},
"previousReleaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"data": "<unknown>"
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Deployment workflows
List deployment workflow runs
deprecated
Retrieve a paginated list of deployment workflow runs for a project.
GET
/
api
/
projects
/
{projectId}
/
runs
List deployment workflow runs
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Query Parameters
Search term to filter runs
Current page
Number of items per page
Was this page helpful?
⌘I